"use client";

import { useSocketEmit } from "@/services/socket";

export const useShowRefillModal = () => {
  const emit = useSocketEmit();

  const showRefillModal = (chatId: string) => {
    // Запрашиваем у сервера показать модальное окно пополнения
    emit("request_refill_modal", { chatId });
  };

  return { showRefillModal };
};
